Bug 1031699 - [abrt] gnome-shell-3.10.2-1.fc20: _swrast_map_texture: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.10.2-1.fc20: _swrast_map_texture: Process /usr/bin/gnome...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:edd2bfaf50063c6a49c07e4f8ef...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 10:03 EST by Horst H. von Brand
Modified: 2015-06-29 08:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (90.63 KB, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: cgroup (160 bytes, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: core_backtrace (57.68 KB, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: dso_list (22.79 KB, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: environ (1.83 KB, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: maps (98.52 KB, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: open_fds (1.79 KB, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-11-18 10:03 EST, Horst H. von Brand
no flags Details
File: var_log_messages (6.00 KB, text/plain)
2013-11-18 10:04 EST, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2013-11-18 10:03:01 EST
Description of problem:
This is a Samsung Netbook N210.

00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
00:02.1 Display controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller

Upon connecting it to an external screen (ViewSonic VX2262wm-2) and trying to switch consoles (Fn-F4 here, has to be given several times) the shell crashed.  Tried several times with the same result.

This machine is kept up to date, and worked fine last Friday morning (Nov 15, 2013) with this exact same setup.

Version-Release number of selected component:
gnome-shell-3.10.2-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --mode=classic
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.11.8-300.fc20.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _swrast_map_texture at ../../../src/mesa/swrast/s_texture.c:287
 #1 _swrast_map_textures at ../../../src/mesa/swrast/s_texture.c:353
 #2 _swrast_span_render_start at ../../../src/mesa/swrast/s_context.c:876
 #3 _swrast_render_start at ../../../src/mesa/swrast/s_context.c:895
 #4 _swsetup_RenderStart at ../../../src/mesa/swrast_setup/ss_context.c:202
 #5 run_render at ../../../src/mesa/tnl/t_vb_render.c:276
 #6 _tnl_run_pipeline at ../../../src/mesa/tnl/t_pipeline.c:163
 #7 intelRunPipeline at intel_tris.c:1097
 #8 _tnl_draw_prims at ../../../src/mesa/tnl/t_draw.c:525
 #9 _tnl_vbo_draw_prims at ../../../src/mesa/tnl/t_draw.c:425

Potential duplicate: bug 982442
Comment 1 Horst H. von Brand 2013-11-18 10:03:13 EST
Created attachment 825703 [details]
File: backtrace
Comment 2 Horst H. von Brand 2013-11-18 10:03:17 EST
Created attachment 825704 [details]
File: cgroup
Comment 3 Horst H. von Brand 2013-11-18 10:03:23 EST
Created attachment 825705 [details]
File: core_backtrace
Comment 4 Horst H. von Brand 2013-11-18 10:03:29 EST
Created attachment 825706 [details]
File: dso_list
Comment 5 Horst H. von Brand 2013-11-18 10:03:33 EST
Created attachment 825707 [details]
File: environ
Comment 6 Horst H. von Brand 2013-11-18 10:03:37 EST
Created attachment 825708 [details]
File: exploitable
Comment 7 Horst H. von Brand 2013-11-18 10:03:43 EST
Created attachment 825709 [details]
File: limits
Comment 8 Horst H. von Brand 2013-11-18 10:03:48 EST
Created attachment 825710 [details]
File: maps
Comment 9 Horst H. von Brand 2013-11-18 10:03:52 EST
Created attachment 825711 [details]
File: open_fds
Comment 10 Horst H. von Brand 2013-11-18 10:03:56 EST
Created attachment 825712 [details]
File: proc_pid_status
Comment 11 Horst H. von Brand 2013-11-18 10:04:00 EST
Created attachment 825713 [details]
File: var_log_messages
Comment 12 Horst H. von Brand 2013-11-19 07:08:19 EST
Today it works fine (!?). A bunch of updates in between (and I _did_ reboot the machine as part of trying to fix it yesterday!), but nothing that looks remotely relevant (qemu, lirc, backgrounds and such).
Comment 13 Horst H. von Brand 2013-11-20 13:23:33 EST
Sorry, no. Just had to plug in the cable to the larger display to make it crash,
Comment 14 Jeff Johnson 2013-12-15 15:09:07 EST
Attaching external monitor to HP Mini 210 laptop:

[    0.829772] agpgart-intel 0000:00:00.0: Intel GMA3150 Chipset
[    0.829856] agpgart-intel 0000:00:00.0: detected gtt size: 524288K total, 262144K mappable
[    0.829991] agpgart-intel 0000:00:00.0: detected 8192K stolen memory
[    0.830258] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0x80000000
[    2.902851] fbcon: inteldrmfb (fb0) is primary device
[    3.597796] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device

00:02.1 Display controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller

[    70.682] (II) LoadModule: "intel"
[    70.990] (II) Loading /usr/lib64/xorg/modules/drivers/intel_drv.so
[    71.539] (II) Module intel: vendor="X.Org Foundation"
[    71.539]    compiled for 1.14.4, module version = 2.21.15
[    71.539]    Module class: X.Org Video Driver
[    71.539]    ABI class: X.Org Video Driver, version 14.1
[    71.539] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
        i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
        915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
        Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
        GM45, 4 Series, G45/G43, Q45/Q43, G41, B43, HD Graphics,
        HD Graphics 2000, HD Graphics 3000, HD Graphics 2500,
        HD Graphics 4000, HD Graphics P4000, HD Graphics 4600,
        HD Graphics 5000, HD Graphics P4600/P4700, Iris(TM) Graphics 5100,
        HD Graphics 4400, HD Graphics 4200, Iris(TM) Pro Graphics 5200

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Jeff Johnson 2013-12-15 16:40:05 EST
This is an HP Mini 210 netbook.

Problem can be caused by attaching an external monitor and the system seems to freeze up and causes crashes in GNOME shell, control panel, etc.  Not sure exactly how it was fixed, but I had to use xrandr on the command-line to disable the internal LVDS1 display to allow the VGA1 external display to work.

I have not been successful in using both the netbook display and external monitor at the same time.  The problems started in Fedora 19, but Fedora 20 updates are no different.  GNOME seems to remember the settings after enough messing around so it gets to the point where when the external monitor is attached, the internal display shuts itself off automatically and I don't run into further problems unless I try to use both at once.

Additional information:

BIOS Information
        Vendor: Hewlett-Packard
        Version: F.11
        Release Date: 03/19/2010

System Information
        Manufacturer: Hewlett-Packard
        Product Name: HP Mini 210-1000
        Version: 04A5100000002100000300000
        UUID: 30464E43-3531-3338-5039-C80AA9692015
        Wake-up Type: Power Switch
        SKU Number: WP055UA#ABA
        Family: 103C_5335KV

00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
00:02.1 Display controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller

[    70.990] (II) Loading /usr/lib64/xorg/modules/drivers/intel_drv.so
[    71.539] (II) Module intel: vendor="X.Org Foundation"
[    71.539]    compiled for 1.14.4, module version = 2.21.15
[    71.539]    Module class: X.Org Video Driver
[    71.539]    ABI class: X.Org Video Driver, version 14.1
[    71.539] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
        i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
        915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
        Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
        GM45, 4 Series, G45/G43, Q45/Q43, G41, B43, HD Graphics,
        HD Graphics 2000, HD Graphics 3000, HD Graphics 2500,
        HD Graphics 4000, HD Graphics P4000, HD Graphics 4600,
        HD Graphics 5000, HD Graphics P4600/P4700, Iris(TM) Graphics 5100,
        HD Graphics 4400, HD Graphics 4200, Iris(TM) Pro Graphics 5200

gnome-shell-3.10.2.1-3.fc20.x86_64
mesa-dri-drivers-9.2.4-1.20131128.fc20.x86_64
xorg-x11-server-Xorg-1.14.4-5.fc20.x86_64
xorg-x11-drv-intel-2.21.15-5.fc20.x86_64

Linux hpl1 3.11.10-301.fc20.x86_64 #1 SMP Thu Dec 5 14:01:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

LSB Version:    :core-4.1-amd64:core-4.1-ia32:core-4.1-noarch:cxx-4.1-amd64:cxx-4.1-ia32:cxx-4.1-noarch:desktop-4.1-amd64:desktop-4.1-ia32:desktop-4.1-noarch:languages-4.1-amd64:languages-4.1-noarch:printing-4.1-amd64:printing-4.1-noarch
Distributor ID: Fedora
Description:    Fedora release 20 (Heisenbug)
Release:        20
Codename:       Heisenbug

[71663.413135] gnome-shell[16897]: segfault at 0 ip 00007f55aaba80e1 sp 00007fff194957e0 error 4 in libdricore9.2.4.so.1.0.0[7f55aa9e1000+3d0000]
[71916.780320] gnome-shell[20420]: segfault at 0 ip 00007f954a57d0e1 sp 00007fff761e4c20 error 4 in libdricore9.2.4.so.1.0.0[7f954a3b6000+3d0000]
[72002.739620] gnome-shell[20800]: segfault at 0 ip 00007f0bec9f50e1 sp 00007fff782342e0 error 4 in libdricore9.2.4.so.1.0.0[7f0bec82e000+3d0000]

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Tomáš Vlček 2014-02-20 10:11:45 EST
Another user experienced a similar problem:

1. I connected Epson projector to HP laptop with Intel 945GM graphic adapter.
2. The projector is accepted as extended monitor, but the system has long delay (I press a button and I have to wait for 10 seconds to see it). Probably too high resolution.
3. I open Display settings in order to set Clone/Mirror display.
4. I click Apply, but nothing happens.
5. Gnome Shell crashes: Fullsreen error message is displayed with one proposed solution: Log out.
6. I Log out and Log in again, but it does't work either.

I had the same problem in F19, but I was after displaying of the error message I was able to change settings to Cloning. Then it worked fine.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.12.10-300.fc20.x86_64
package:        gnome-shell-3.10.3-4.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Fedora End Of Life 2015-05-29 05:47:39 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-06-29 08:58:36 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.